Subject: Re: [Bridge] VLANs and bridge

From: Simon Barber <[email-masked]>
Date: Sat, 22 Aug 2009 10:12:10 -0700

Looking through B.1.3 it looks like the patch would need some 
enhancement. It provides a good basis - handling tagging/untagging and 
filtering, but would need a way to specify the untagged vlan separately 
for in and out.

Simon

Joakim Tjernlund wrote:
> Joakim Tjernlund/Transmode wrote on 22/08/2009 17:36:54:
>   
>> Simon Barber <[email-masked]> wrote on 22/08/2009 16:34:11:
>>     
>>> Hi Joakim,
>>>
>>> Look back a month or so in the archives - you'll find an email from me
>>> referencing a patch to make the bridge VLAN aware. It's a little old,
>>> and needs updating for 2.6 (it was written for 2.4) - but should not be
>>> much work to get it done. There is a matching patch for the brctl utility.
>>>
>>> Simon
>>>
>>>       
>> Thanks Simon
>>
>> Do you mean the "bridge vlan integration" patch?
>> It is not clear to me if this would support the case
>> described in B.1.3(802.1Q-2005), does it?
>>
>> Seems like there is little interest to post this to 2.6 and
>> I am not sure how welcome this would be either, perhaps
>> the bridge maintainer could comment?
>>
>>   Jocke
>>     
>
> Thinking a bit more about this I could envision some changes to the
> vlan code too. I image one could create one vlan interface which will listen
> to several VLANs. One VLAN is the primary VLAN and is used in the tx path
> by default. The bridge would be able to filter on individual VLANs received
> from such interface and be able to chose outgoing VLAN too.
>
>  Jocke
>
>